Page MenuHomePhabricator

Add a function for copying nodes to the vyos.configtree library
Closed, ResolvedPublic

Description

Right now the only way to move a node from one subtree to another in migration scripts is to move options one by one, which is fine if the change is so radical that few options remain the same, or if you are moving options into a subtree. Sometimes we just want to move a node to another place though.

It will also come in handy for config manipulation utilities.

The underlying change in VyConf is obviously required for the future copy command in VyOS 2.0.

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0
Why the issue appeared?
Will be filled on close

Event Timeline

dmbaturin triaged this task as Normal priority.
pasik added a subscriber: pasik.Mar 12 2019, 6:06 PM
dmbaturin closed this task as Resolved.Apr 15 2019, 12:15 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.May 6 2019, 4:54 PM